summaryrefslogtreecommitdiffstats
path: root/installer
diff options
context:
space:
mode:
authorramon <ramongomez@us.es>2010-11-08 12:46:21 +0000
committerramon <ramongomez@us.es>2010-11-08 12:46:21 +0000
commit72134d53a6198409c9548f7e0d4d8c52f59c9290 (patch)
tree936b87316b819646dc90dac442987e5ba737f47b /installer
parent9f5f004f2e8f6f2e9686afc18ba82d6fa43b00f2 (diff)
Corrección erratas en instalador y desinstalador.
Adaptación de actualizador a los últimos cambios. git-svn-id: https://opengnsys.es/svn/trunk@1332 a21b9725-9963-47de-94b9-378ad31fedc9
Diffstat (limited to 'installer')
-rwxr-xr-xinstaller/opengnsys_installer.sh2
-rw-r--r--installer/opengnsys_uninstall.sh3
-rwxr-xr-xinstaller/opengnsys_update.sh28
3 files changed, 27 insertions, 6 deletions
diff --git a/installer/opengnsys_installer.sh b/installer/opengnsys_installer.sh
index c88117a9..aac60f02 100755
--- a/installer/opengnsys_installer.sh
+++ b/installer/opengnsys_installer.sh
@@ -31,7 +31,7 @@ INSTALL_TARGET=/opt/opengnsys
LOG_FILE=/tmp/opengnsys_installation.log
# Array con las dependencias
-DEPENDENCIES=( subversion apache2 php5 mysql-server php5-mysql nfs-kernel-server dhcp3-server udpcast bittorrent tftp-hpa tftpd-hpa syslinux openbsd-inetd update-inetd build-essential libmysqlclient15-dev wget doxygen graphviz bittornado ctorrent )
+DEPENDENCIES=( subversion apache2 php5 libapache2-mod-php5 mysql-server php5-mysql nfs-kernel-server dhcp3-server udpcast bittorrent tftp-hpa tftpd-hpa syslinux openbsd-inetd update-inetd build-essential libmysqlclient15-dev wget doxygen graphviz bittornado ctorrent )
# Datos de base de datos
diff --git a/installer/opengnsys_uninstall.sh b/installer/opengnsys_uninstall.sh
index a057bc0b..9fbfbcbb 100644
--- a/installer/opengnsys_uninstall.sh
+++ b/installer/opengnsys_uninstall.sh
@@ -25,7 +25,8 @@ fi
if test $DROP; then
mysql -u root -p"$MYSQLROOT" <<<"DROP DATABASE ogBDAdmin;" 2>/dev/null
mysql -u root -p"$MYSQLROOT" <<<"DROP DATABASE ogAdmBD;" 2>/dev/null
- mysql -u root -p"$MYSQLROOT" <<<"DROP USER usuog;" 2>/dev/null
+ mysql -u root -p"$MYSQLROOT" <<<"DROP USER 'usuog';" 2>/dev/null
+ mysql -u root -p"$MYSQLROOT" <<<"DROP USER 'usuog'@'localhost';" 2>/dev/null
fi
# Eliminar ficheros.
echo "Deleting OpenGnSys files."
diff --git a/installer/opengnsys_update.sh b/installer/opengnsys_update.sh
index 49309380..adb880cd 100755
--- a/installer/opengnsys_update.sh
+++ b/installer/opengnsys_update.sh
@@ -226,6 +226,24 @@ function updateWebFiles()
echoAndLog "${FUNCNAME}(): Web files updated successfully."
}
+# Copiar carpeta de Interface
+function updateInterfaceAdm ()
+{
+ local hayErrores=0
+
+ # Crear carpeta y copiar Interface
+ echoAndLog "${FUNCNAME}(): Copying Administration Interface Folder"
+ mv $INSTALL_TARGET/client/interfaceAdm $INSTALL_TARGET/client/Interface
+ rsync --exclude .svn -irplt $WORKDIR/opengnsys/admin/Interface $INSTALL_TARGET/client
+ ERRCODE=$?
+ mv $INSTALL_TARGET/client/Interface $INSTALL_TARGET/client/interfaceAdm
+ if [ $? -ne 0 ]; then
+ echoAndLog "${FUNCNAME}(): error while updating admin interface"
+ exit 1
+ fi
+ chmod -R +x $INSTALL_TARGET/client/interfaceAdm
+ echoAndLog "${FUNCNAME}(): Admin interface updated successfully."
+}
# Crear documentación Doxygen para la consola web.
function makeDoxygenFiles()
@@ -250,7 +268,6 @@ function createDirs()
echoAndLog "${FUNCNAME}(): creating directory paths in ${INSTALL_TARGET}"
mkdir -p ${INSTALL_TARGET}
- mkdir -p ${INSTALL_TARGET}/admin/{autoexec,comandos,menus,usuarios}
mkdir -p ${INSTALL_TARGET}/bin
mkdir -p ${INSTALL_TARGET}/client
mkdir -p ${INSTALL_TARGET}/doc
@@ -281,6 +298,7 @@ function updateServerFiles () {
client/boot/udeblist-jaunty.conf \
client/boot/udeblist-karmic.conf \
client/boot/udeblist-lucid.conf \
+ client/boot/udeblist-maverick.conf \
repoman/bin \
doc )
local TARGETS=( bin/initrd-generator \
@@ -289,6 +307,7 @@ function updateServerFiles () {
etc/udeblist-jaunty.conf \
etc/udeblist-karmic.conf \
etc/udeblist-lucid.conf \
+ etc/udeblist-maverick.conf \
bin \
doc )
@@ -318,7 +337,7 @@ function recompileClient ()
{
# Compilar OpenGnSys Client
echoAndLog "${FUNCNAME}(): recompiling OpenGnSys Client"
- pushd $WORKDIR/opengnsys/admin/Services/ogAdmClient
+ pushd $WORKDIR/opengnsys/admin/Sources/Clients/ogAdmClient
make && mv ogAdmClient ../../../client/nfsexport/bin
if [ $? -ne 0 ]; then
echoAndLog "${FUNCNAME}(): error while compiling OpenGnSys Client"
@@ -351,8 +370,8 @@ function updateClient()
fi
# Cargar Kernel, Initrd y paquetes udeb para la distribución del servidor (o por defecto).
- OSDISTRIB=$(lsb_release -i | awk -F: '{sub(/\t/,""); print $2}') 2>/dev/null
- OSCODENAME=$(lsb_release -c | awk -F: '{sub(/\t/,""); print $2}') 2>/dev/null
+ OSDISTRIB=$(lsb_release -is) 2>/dev/null
+ OSCODENAME=$(lsb_release -cs) 2>/dev/null
if [ "$OSDISTRIB" = "Ubuntu" -a -n "$OSCODENAME" ]; then
echoAndLog "${FUNCNAME}(): Loading Kernel and Initrd files for $OSDISTRIB $OSCODENAME."
$INSTALL_TARGET/bin/initrd-generator -t $INSTALL_TARGET/tftpboot -v $OSCODENAME 2>&1 | tee -a $LOG_FILE
@@ -456,6 +475,7 @@ if [ $? -ne 0 ]; then
errorAndLog "Error updating clients"
exit 1
fi
+updateInterfaceAdm
# Actualizamos el fichero que arranca los servicios de OpenGnSys
updateServicesStart